Subject: RE: [NAT] RE: [mobile-ip] Incorporating NAT-boxes into MIPv4

From: "Glenn Morrow" <[email-masked]>
Date: Mon, 14 May 2001 09:35:44 -0500

We proposed to use a router alert to signal the routers on both ends:

http://search.ietf.org/internet-drafts/draft-lmk-mobileip-intercepting-updat
e-01.txt
<http://search.ietf.org/internet-drafts/draft-lmk-mobileip-intercepting-upda
te-01.txt> 
 
This was designed to be compatible with even port NATs. We refer to the
double NAT technique as zero-byte-overhead tunneling (ZBOT).
 
Hope this helps,
 
Glenn

-----Original Message-----
From: cny [mailto:[email-masked]]
Sent: Sunday, May 13, 2001 10:17 AM
To: Henrik Levkowetz; Shahrier, Sharif M.
Cc: nat; mobile-ip
Subject: Re: [NAT] RE: [mobile-ip] Incorporating NAT-boxes into MIPv4

Hi Shahrier and Henrik
 
I am also working on this, in the same case, I am writing 
the draft as well as waiting to finished the implementations.
 
If we can finished in time, If possible we can demo it 
in the coming IETF meeting.
 
Chern Nam Yap

----- Original Message ----- 
From: Shahrier, Sharif M. <mailto:[email-masked]>  
To: [email-masked]' <mailto:[email-masked]'>  
Cc: [email-masked]' <mailto:[email-masked]'>
; [email-masked]' <mailto:[email-masked]'>  
Sent: Friday, May 11, 2001 3:50 PM
Subject: [NAT] RE: [mobile-ip] Incorporating NAT-boxes into MIPv4

[Shahrier, Sharif M.] 
 
Henrik,
 
        I have a simple question on basic NAT, i.e. without port number
mappings. Suppose there are two networks A and B,
        each has NAT-A and NAT-B respectively. Assum initially that both NAT
tables are empty. 
        Host on A wants to send a packet to a host on B. Source address is
replaced by global address of A and destination 
        adress contains global address of B. An entry is made on NAT-A so
that packets coming back with the global destination 
        address; NAT-A can replace it with the local host address. That is
fine.
 
        My question is When network B initially receives the first packet,
how can NAT-B replace ITS global destination address on 
        packet with the specific address of a local host. Remember both
tables were initally empty. Hence, if mutiple hosts in B were
        to map to this public address, how can NAT-B unambiguously translate
this global address and send it to the correct host.
        One obviously solution be to use port mappings to decide the correct
host. Is this what is normally used or is there some other 
        solutions as well?
 
        I have checked a copuple of RFCs and numerous articles, but I did
not see this explained.
 
        I would greatly appreciate it if you or someone on the list can send
me an explaination. Thanks.
 
Sharif

----------------------------------------------------------------------------
----------------------------------------------------------------------------
----------------------
 
 Sharif,
 
    I'm currently working on a solution to traversing NAT (specifically,
NAPT) boxes for MIPv4, on behalf of
the company I work for, ipUnplugged.  Our first implementation uses MIP
vendor-specific extensions, and
I plan to post a draft with full details as soon as the solution has been
implemented and tested in practice
-- well ahead of 51st IETF.
 
    Best,
        Henrik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Shahrier, Sharif M.
Sent: Thursday, May 10, 2001 5:42 PM
To: [email-masked]'
Subject: [mobile-ip] Incorporating NAT-boxes into MIPv4

I was wondering if anyone was working on incorporating NAT-boxes into MIPv4?
I would be grateful if you can get in contact.
 
-Sharif